--------------------------------------------------- 1.
-- ϱ ̺
---------------------------------------------------
CREATE TABLE dbo.urim_division_table(
	d_no int identity(1,1) NOT NULL,
	id varchar(20) NOT NULL,
	d_div int default 1 NOT NULL,
	d_num int default 0 NOT NULL,
     	d_tnum int default 0 NOT NULL,
	d_rnum int default 0 NOT NULL,
     	d_trnum int default 0 NOT NULL
)

ALTER TABLE dbo.urim_division_table WITH NOCHECK ADD CONSTRAINT PK_urim_division_table PRIMARY KEY  CLUSTERED(d_no) ON [PRIMARY]
CREATE INDEX idx_urim_division_table ON dbo.urim_division_table(id) ON [PRIMARY]





--;
--------------------------------------------------- 2.
-- īװ ̺
---------------------------------------------------
CREATE TABLE dbo.urim_category_table(
	cate_no int identity(1,1) NOT NULL,
	id varchar(20) NOT NULL,
	cate_up_id int default 0 NOT NULL,
	cate_name varchar(100) default 'Ϲ' NOT NULL,
	cate_point int default 0 NOT NULL,
	cate_num int default 0 NOT NULL,
	cate_rnum int default 0 NOT NULL,
	cate_sub_num smallint default 0 NOT NULL
)

ALTER TABLE dbo.urim_category_table WITH NOCHECK ADD CONSTRAINT PK_urim_category_table PRIMARY KEY  CLUSTERED(cate_no) ON [PRIMARY]
CREATE INDEX idx_urim_category_table ON dbo.urim_category_table(id) ON [PRIMARY]





--;
--------------------------------------------------- 4.
-- ׷ ̺
---------------------------------------------------
CREATE TABLE dbo.urim_group_table(
	gm_no int identity(1,1) NOT NULL,
	g_no int default 0 NOT NULL,
	g_up_no int default 0 NOT NULL,
	mem_id varchar(20) NOT NULL,
	mem_level tinyint default 0 NOT NULL
)

ALTER TABLE dbo.urim_group_table WITH NOCHECK ADD CONSTRAINT PK_urim_group_table PRIMARY KEY  CLUSTERED(gm_no) ON [PRIMARY]
CREATE INDEX idx_urim_group_table ON dbo.urim_group_table(g_no) ON [PRIMARY]





--;
--------------------------------------------------- 5.
-- ȸ ̺
---------------------------------------------------
CREATE TABLE dbo.urim_member_table(
	mem_no int identity(1,1) NOT NULL,
	cate_no int NOT NULL,
	mem_div int default 1 NOT NULL,
	mem_id varchar(20) NOT NULL,
	mem_name varchar(20) NOT NULL,
	mem_realname varchar(20) NULL,
	mem_aliasname varchar(20) NULL,
	mem_pass varchar(20) NOT NULL,
	mem_email varchar(255) NOT NULL,
       	mem_regdate datetime default getdate() NOT NULL,
	mem_level tinyint default 1 NOT NULL,
	mem_count int default 0 NOT NULL,
	mem_today_count int default 0 NOT NULL,
	mem_comment_num int default 0 NOT NULL,
	mem_login bit default 0 NOT NULL,
	mem_sessionid int default 0 NOT NULL,
	mem_logindate datetime default getdate() NOT NULL,
	mem_profiledate char(8) NULL,

    	mem_jumin char(13) NULL,
	mem_birth char(10) NULL,
	mem_lunar bit default 1 NOT NULL,
	mem_messenger1 varchar(30) NULL,
	mem_messenger2 varchar(30) NULL,
	mem_messenger_id1 varchar(100) NULL,
	mem_messenger_id2 varchar(100) NULL,
	mem_tel varchar(20) NULL,
	mem_mobile varchar(20) NULL,
	mem_zipcode char(6) NULL,
	mem_address1 varchar(255) NULL,
	mem_address2 varchar(255) NULL,
	mem_homepage varchar(255) NULL,
	mem_mailling bit default 0 NOT NULL,
	mem_open bit default 0 NOT NULL,
	mem_open2 bit default 0 NOT NULL,
	mem_open3 bit default 0 NOT NULL,
	mem_spaced int default 100 NOT NULL,
	mem_photo varchar(255) NULL,
	mem_comment varchar(8000) NULL,
	mem_signature varchar(8000) NULL
)

ALTER TABLE dbo.urim_member_table WITH NOCHECK ADD CONSTRAINT PK_urim_member_table PRIMARY KEY  CLUSTERED(mem_no) ON [PRIMARY]
CREATE INDEX idx_urim_member_table ON dbo.urim_member_table(mem_id) ON [PRIMARY]





--;
--------------------------------------------------- 6.
-- ̺ ̺
---------------------------------------------------
CREATE TABLE dbo.urim_adminid_table(
	s_no smallint identity(1,1) NOT NULL,
	g_no smallint default 0 NOT NULL,
	id varchar(20) NOT NULL,
	g_mem_num int default 0 NOT NULL,
	s_category_num smallint default 1 NOT NULL,
	s_sortname varchar(20) default 'board' NOT NULL,
	s_aliasname varchar(30) default '...' NOT NULL,
	s_homepage varchar(100) NULL,
	s_hometarget varchar(10) NULL,
	s_skinname varchar(30) NULL,
	s_skincolor varchar(15) NULL,
	s_bgimage varchar(200) NULL,
	s_bgcolor varchar(10) NULL,
	s_tablewidth smallint default 95 NOT NULL,
	s_listno tinyint default 18 NOT NULL,
	s_pageno tinyint default 10 NOT NULL,
	s_headerurl varchar(100) NULL,
	s_header varchar(8000) default '<center>' NULL,
	s_footerurl varchar(100) NULL,
	s_footer varchar(8000) default '</center>' NULL,

	s_use_filter bit default 1 NOT NULL,
	s_show_ip bit default 0 NOT NULL,
	s_use_comment bit default 0 NOT NULL,
	s_use_sample bit default 0 NOT NULL,
	s_samplefile varchar(30) NULL,
	s_use_formmail bit default 1 NOT NULL,
	s_use_autolink bit default 1 NOT NULL,
	s_use_cart bit default 1 NOT NULL,
	s_block_ip bit default 0 NOT NULL,
	s_permit_link bit default 0 NOT NULL,
	s_short_word bit default 0 NOT NULL,
	s_up_count bit default 1 NOT NULL,
	s_hide_reply bit default 0 NOT NULL,
	s_use_link bit default 0 NOT NULL,
	s_show_image bit default 0 NOT NULL,
	s_show_content bit default 0 NOT NULL,

	s_usepds tinyint default 0 NOT NULL,
	s_usecategory tinyint  default 0 NOT NULL,
	s_usehtml tinyint default 2 NOT NULL,
	s_usevote tinyint default 1 NOT NULL,
	s_showlist tinyint default 0 NOT NULL,
	s_showpage tinyint default 1 NOT NULL,
	s_menulist tinyint default 7 NOT NULL,
	s_writecheck tinyint default 2 NOT NULL,
	s_orderby tinyint default 12 NOT NULL,

	s_imagesize smallint default 600 NOT NULL,
	s_cutlist smallint default 100 NOT NULL,
	s_newlist smallint default 12 NOT NULL,
	s_hotlist smallint default 0 NOT NULL,
	s_repup varchar(200) NULL,
	s_repleft varchar(20) default '>' NOT NULL,
	s_repbottom varchar(200) NULL,
	s_downpath varchar(100) NULL,
	s_pds_size int default 3145728 NOT NULL,
	s_pds_ext1 varchar(255) NULL,
	s_pds_ext2 varchar(255) default 'gif,jpg,png,bmp' NOT NULL,

	s_grant_list tinyint default 0 NOT NULL,
	s_grant_read tinyint default 0 NOT NULL,
	s_grant_write tinyint default 0 NOT NULL,
	s_grant_reply tinyint default 0 NOT NULL,
	s_grant_comment tinyint default 0 NOT NULL,
	s_grant_sample tinyint default 0 NOT NULL,
	s_grant_delete tinyint default 255 NOT NULL,
	s_grant_notice tinyint default 255 NOT NULL,
	s_grant_down tinyint default 0 NOT NULL,
	s_grant_up tinyint default 0 NOT NULL,
	s_grant_html tinyint default 0 NOT NULL,
	s_grant_secret tinyint default 255 NOT NULL
)

ALTER TABLE dbo.urim_adminid_table WITH NOCHECK ADD CONSTRAINT PK_urim_adminid_table PRIMARY KEY  CLUSTERED(s_no) ON [PRIMARY]
CREATE INDEX idx_urim_adminid_table ON dbo.urim_adminid_table(g_no, id) ON [PRIMARY]





--;
--------------------------------------------------- 7.
-- ڸƮ ̺
---------------------------------------------------
CREATE TABLE dbo.urim_comment_id_table(
	ment_no int identity(1,1) NOT NULL,
	u_no int default 0 NOT NULL,
	user_id varchar(20) NULL,
	ment_name varchar(20) NULL,
	ment_pass varchar(20) NULL,
	ment_ip char(15) NULL,
	ment_date datetime default getdate() NOT NULL,
	ment_memo text NULL
)

ALTER TABLE dbo.urim_comment_id_table WITH NOCHECK ADD CONSTRAINT PK_urim_comment_id_table PRIMARY KEY  CLUSTERED(ment_no) ON [PRIMARY]
CREATE INDEX idx_urim_comment_id_table ON dbo.urim_comment_id_table(u_no) ON [PRIMARY]





--;
--------------------------------------------------- 8.
-- ҽ ̺
---------------------------------------------------
CREATE TABLE dbo.urim_sample_table(
	sam_no int identity(1,1) NOT NULL,
	id varchar(20) NOT NULL,
	u_no int default 0 NOT NULL,
	user_id varchar(20) NULL,
	sam_name varchar(20) NULL,
	sam_pass varchar(20) NULL,
	sam_ip char(15) NULL,
	sam_date datetime default getdate() NOT NULL,
	sam_file varchar(30) NULL,
	sam_title varchar(255) NULL,
	sam_source_count int default 0 NOT NULL,
	sam_preview_count int default 0 NOT NULL,
	sam_memo text NULL
)

ALTER TABLE dbo.urim_sample_table WITH NOCHECK ADD CONSTRAINT PK_urim_sample_table PRIMARY KEY  CLUSTERED(sam_no) ON [PRIMARY]
CREATE INDEX idx_urim_sample_table ON dbo.urim_sample_table(id, u_no) ON [PRIMARY]





--;
--------------------------------------------------- 9.
--  ̺
---------------------------------------------------
CREATE TABLE dbo.urim_message_table(
	message_no int identity(1,1) NOT NULL,
	mem_id varchar(20) NOT NULL,
	message_user varchar(20) NOT NULL,
	message_title varchar(255) NULL,
	message_read bit default 0 NOT NULL,
	message_date datetime default getdate() NOT NULL,
	message_memo text NULL
)

ALTER TABLE dbo.urim_message_table WITH NOCHECK ADD CONSTRAINT PK_urim_message_table PRIMARY KEY  CLUSTERED(message_no) ON [PRIMARY]
CREATE INDEX idx_urim_message_table ON dbo.urim_message_table(mem_id) ON [PRIMARY]





--;
--------------------------------------------------- 10.
--  ̺
---------------------------------------------------
CREATE TABLE dbo.urim_mark_table(
	mark_no int identity(1,1) NOT NULL,
	mem_id varchar(20) NOT NULL,
	mark_login_count int default 0 NOT NULL,
	mark_board_write int default 0 NOT NULL,
	mark_board_count int default 0 NOT NULL,
	mark_board_vote int default 0 NOT NULL,
	mark_comment_write int default 0 NOT NULL,
	mark_sample_write int default 0 NOT NULL,
	mark_sample_count int default 0 NOT NULL,
	mark_profile_vote int default 0 NOT NULL,
	mark_message_count int default 0 NOT NULL,
	mark_friends_count int default 0 NOT NULL,
	mark_score int default 0 NOT NULL,
	mark_totalscore int default 0 NOT NULL,
	sort bit default 0 NOT NULL
)

ALTER TABLE dbo.urim_mark_table WITH NOCHECK ADD CONSTRAINT PK_urim_mark_table PRIMARY KEY  CLUSTERED(mark_no) ON [PRIMARY]
CREATE INDEX idx_urim_mark_table ON dbo.urim_mark_table(mem_id) ON [PRIMARY]





--;
--------------------------------------------------- 11.
-- ũ ̺
---------------------------------------------------
CREATE TABLE dbo.urim_scrap_table(
	scrap_no int identity(1,1) NOT NULL,
	mem_id varchar(20) NOT NULL,
	id varchar(20) NOT NULL,
	u_no int NOT NULL,
	scrap_sort bit default 0 NOT NULL,
	scrap_date datetime default getdate() NOT NULL
)

ALTER TABLE dbo.urim_scrap_table WITH NOCHECK ADD CONSTRAINT PK_urim_scrap_table PRIMARY KEY  CLUSTERED(scrap_no) ON [PRIMARY]
CREATE INDEX idx_urim_scrap_table ON dbo.urim_scrap_table(mem_id) ON [PRIMARY]





--;
--------------------------------------------------- 12.
-- ģ ̺
---------------------------------------------------
CREATE TABLE dbo.urim_friends_table(
	friends_no int identity(1,1) NOT NULL,
	mem_id varchar(20) NOT NULL,
	friends_sort tinyint default 0 NOT NULL,
	friends_mem_id varchar(20) NOT NULL,
	friends_date datetime default getdate() NOT NULL
)

ALTER TABLE dbo.urim_friends_table WITH NOCHECK ADD CONSTRAINT PK_urim_friends_table PRIMARY KEY  CLUSTERED(friends_no) ON [PRIMARY]
CREATE INDEX idx_urim_friends_table ON dbo.urim_friends_table(mem_id) ON [PRIMARY]





--;
--------------------------------------------------- 13.
-- ī ̺
---------------------------------------------------
CREATE TABLE dbo.urimi_counter_table(
	v_no int identity(1,1) NOT NULL,
	v_ip varchar(15) NULL,
	v_browser varchar(255) NULL,
	v_os varchar(255) NULL,
	v_referer varchar(500) NULL,
	v_time datetime NOT NULL,
	v_date varchar(10) NULL,
	v_year smallint NULL,
	v_month tinyint NULL,
	v_week tinyint NULL,
	v_day tinyint NULL,
	v_hour tinyint NULL,
	v_daycount int default 0 NOT NULL,
	v_daycount1 int default 0 NOT NULL,
	v_totalcount int default 0 NOT NULL,
	v_totalcount1 int default 0 NOT NULL,
	v_cookie bit default 0 NOT NULL
)

ALTER TABLE dbo.urimi_counter_table WITH NOCHECK ADD CONSTRAINT PK_urimi_counter_table PRIMARY KEY  CLUSTERED(v_no) ON [PRIMARY]





--;
--------------------------------------------------- 14.
-- ޸/ϸũ/ ̺
---------------------------------------------------
CREATE TABLE dbo.urimi_memo_table(
	u_no int identity(1,1) NOT NULL,
	cate_no int NOT NULL,
	u_name varchar(20) NULL,
	user_id varchar(20) NULL,
	u_pass varchar(20) NULL,
	u_email varchar(255) NULL,
	u_homepage varchar(255) NULL,
	u_date datetime default getdate() NOT NULL,
	u_div int NOT NULL,
	u_rep int NOT NULL,
	u_level smallint default 0 NOT NULL,
	u_vote int default 0 NOT NULL,
	u_ip varchar(15) NULL,
	u_title varchar(255) NOT NULL
)

ALTER TABLE dbo.urimi_memo_table WITH NOCHECK ADD CONSTRAINT PK_urimi_memo_table PRIMARY KEY  CLUSTERED(u_no) ON [PRIMARY]
CREATE INDEX idx_urimi_memo_table ON dbo.urimi_memo_table(user_id) ON [PRIMARY]





--;
--------------------------------------------------- 15.
-- Խ/ڷ ̺
---------------------------------------------------
CREATE TABLE dbo.urimi_board_table(
	u_no int identity(1,1) NOT NULL,
	cate_no int NULL,
	user_id varchar(20) NULL,
	u_name varchar(20) NULL,
	u_pass varchar(20) NULL,
	u_email varchar(255) NULL,
	u_homepage varchar(255) NULL,
	u_title varchar(255) NULL,
	u_date datetime default getdate() NOT NULL,
	u_count int default 0 NOT NULL,
	u_vote int default 0 NOT NULL,
	u_ip varchar(15) NULL,
  	u_html tinyint default 0 NOT NULL,
	u_cookie bit default 0 NOT NULL,
	u_repmail bit default 0 NOT NULL,
	u_secret bit default 0 NOT NULL,
	u_div int NOT NULL,
	u_rep int NOT NULL,
	u_level smallint default 0 NOT NULL,
	u_step smallint default 0 NOT NULL,
	u_comment_num smallint default 0 NOT NULL,
	u_link varchar(255) NULL,
	u_zfile varchar(200) NULL,
	u_zcount int default 0 NOT NULL,
	u_image varchar(1500) NULL,
	u_icount varchar(200) NULL,
	u_content text NOT NULL
)

ALTER TABLE dbo.urimi_board_table WITH NOCHECK ADD CONSTRAINT PK_urimi_board_table PRIMARY KEY  CLUSTERED(u_no) ON [PRIMARY]
CREATE INDEX idx_urimi_board_table ON dbo.urimi_board_table(user_id) ON [PRIMARY]





--;